# azure.mgmt.datamigration package

## Submodules

- azure.mgmt.datamigration.models module
- azure.mgmt.datamigration.operations module

## Module contents

class `azure.mgmt.datamigration.``DataMigrationServiceClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Data Migration Client

  Variables:

  - config (DataMigrationServiceClientConfiguration) – Configuration for client.
  - resource_skus (azure.mgmt.datamigration.operations.ResourceSkusOperations) – ResourceSkus operations
  - services (azure.mgmt.datamigration.operations.ServicesOperations) – Services operations
  - tasks (azure.mgmt.datamigration.operations.TasksOperations) – Tasks operations
  - service_tasks (azure.mgmt.datamigration.operations.ServiceTasksOperations) – ServiceTasks operations
  - projects (azure.mgmt.datamigration.operations.ProjectsOperations) – Projects operations
  - usages (azure.mgmt.datamigration.operations.UsagesOperations) – Usages operations
  - operations (azure.mgmt.datamigration.operations.Operations) – Operations operations
  - files (azure.mgmt.datamigration.operations.FilesOperations) – Files operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Identifier of the subscription
  - base_url (str) – Service URL

class `azure.mgmt.datamigration.``DataMigrationServiceClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for DataMigrationServiceClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Identifier of the subscription
  - base_url (str) – Service URL